ChangeSet 1.985.10.16, 2003/03/25 13:45:59-08:00, mdharm-usb@one-eyed-alien.net

[PATCH] usb-storage: initialize urb status

This patch initializes the URB status before it's used.  While not
technically required, it's good programming practice (and a similar bug
just bit us on 2.4 with UHCI).


 drivers/usb/storage/transport.c |    1 +
 1 files changed, 1 insertion(+)


diff -Nru a/drivers/usb/storage/transport.c b/drivers/usb/storage/transport.c
--- a/drivers/usb/storage/transport.c	Tue Mar 25 16:45:05 2003
+++ b/drivers/usb/storage/transport.c	Tue Mar 25 16:45:05 2003
@@ -126,6 +126,7 @@
 	us->current_urb->actual_length = 0;
 	us->current_urb->error_count = 0;
 	us->current_urb->transfer_flags = URB_ASYNC_UNLINK;
+	us->current_urb->status = 0;
 
 	/* submit the URB */
 	status = usb_submit_urb(us->current_urb, GFP_NOIO);
